Lavalite package that provides 2_month management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `xamp/2_month`.

    "xamp/2_month": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Xamp\2Month\Providers\2MonthServiceProvider::class,

And also add it to alias

    '2Month'  => Xamp\2Month\Facades\2Month::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Xamp\\2Month\\Seeders\\2MonthTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/2_month/{modulename}

**User**

    http://path-to-route-folder/user/2_month/{modulename}

**Public**

    http://path-to-route-folder/2_months


### API endpoints

**List**

    http://path-to-route-folder/api/user/2_month/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/2_month/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/2_month/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/2_month/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/2_month/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/2_month/{modulename}/{slug}
    METHOD: GET